#include <Arduino.h>
#include "Transmitter.cpp"
#include <EEPROM.h>

uint8_t _targets[][6] = {
	{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF},
	// {0xC4, 0x5B, 0xBE, 0x74, 0xE1, 0x3E},
	// {0xC4, 0x5B, 0xBE, 0x73, 0x95, 0x7D},
};

Transmitter _transmitter(_targets);

void setup() {
	Serial.begin(115200);
	Serial.println("Starting");
	_transmitter.setup();

	EEPROM.begin(4);
	bool on = EEPROM.read(0);
	on = !on;
	Serial.print("On: ");
	Serial.println(on);
	for (int i = 0; i < 50; i++) {
		_transmitter.send(on);
		delay(10);
	}
	EEPROM.write(0, on);
	EEPROM.commit();

	Serial.println("Sleep");
	ESP.deepSleep(0);
}

void loop() {
}
