#ifndef PWMOutput_cpp
#define PWMOutput_cpp

#include <Arduino.h>

class PWMOutput {
	int _pin, _pwmValue;
	bool _on;

	void writeOutput() {
		analogWrite(_pin, _pwmValue * _on);
	}

public:
	PWMOutput(int pin) {
		_pin = pin;

		pinMode(_pin, OUTPUT);

		off();
		setValue(255);
	}

	void setValue(byte input) {
		_pwmValue = input;
	}

	void on() {
		_on = true;
		writeOutput();
	}

	void off() {
		_on = false;
		writeOutput();
	}
};

#endif