#include <Arduino.h>
#include <ESP8266WiFi.h>
#include <espnow.h>

#define RELAY_PIN 12

void OnDataRecv(uint8_t* mac, uint8_t* incomingData, uint8_t len) {
	bool on;
	memcpy(&on, incomingData, sizeof(on));
	Serial.println(on);
	digitalWrite(RELAY_PIN, !on);
}

void setupReceiver() {
	WiFi.disconnect(true);
	WiFi.mode(WIFI_STA);

	if (esp_now_init() != 0) {
		Serial.println("Error initialising ESP-NOW");
		return;
	}

	esp_now_set_self_role(ESP_NOW_ROLE_SLAVE);
	esp_now_register_recv_cb(OnDataRecv);
}

void setup() {
	pinMode(RELAY_PIN, OUTPUT);
	digitalWrite(RELAY_PIN, true);
	Serial.begin(115200);
	Serial.println("Starting...");
	setupReceiver();
}

void loop() {
	delay(10);
}
